#version 430 core
in VertexData {
	vec3 position_world;
	vec2 uv;
} vert;

out vec4 color;

uniform sampler2D diffuseTexture;
uniform float alphaAdd;


void main() {	
	vec4 texColor = texture(diffuseTexture, vert.uv).rgba;
	texColor.a -= alphaAdd;
	if(texColor.a < 0.1)
	discard;
	color = texColor;
	}

